/******************************************************************
Theme Name: CVI 2021
Theme URI: https://cvifuneralsupply.com
Author: Pilot Digital
Author URI: http://pilotdigital.com
Description: first aerial circumnavigation of the world
Version: 1.0.0
Template: chicago-1924
License: GNU General Public License v2 or later
License URI: LICENSE
Text Domain: chicago-1924
Tags: custom-background, custom-logo, custom-menu, featured-images, threaded-comments, translation-ready

Chicago 1924 is based on Underscores https://underscores.me/, (C) 2012-2017 Automattic, Inc.
Underscores is distributed under the terms of the GNU GPL v2 or later.

Stylesheet: 769 and Up Stylesheet

Styles for mid-range devices up starting at 769 and up to 1219.

******************************************************************/

/* Menus
============================================================= */

header.site-header.didScroll {
  background: white;
}

.main-navigation {
  width: auto;
}

.main-navigation #primary-menu > li {
  padding: 2rem 0;
}

#primary-menu > li {
  border-top: 2px solid transparent;
}

#primary-menu > li.current-menu-item {
  border-color: var(--primary);
}

.main-navigation #primary-menu li a {
	color: var(--neutral-900);
  font-size: 1.025rem;
}

.main-navigation #primary-menu li a:hover {
	color: var(--primary);
}

.main-navigation #primary-menu > li.menu-open > a,
.main-navigation #primary-menu > li.menu-item-has-children.menu-open:after {
  color: var(--primary);
}

.main-navigation ul ul {
  border-top: 2px solid var(--primary);
  box-shadow: 0 1px 1px rgba(0,0,0,.2);
}

.main-navigation li .sub-menu li {
  padding: .25rem 0;
}

/*--------------------------------------------------------------
# Layout
--------------------------------------------------------------*/

/* Flex
============================================================= */

.site-info {
  display: flex;
  flex-flow: row wrap;
}

.site-branding {
  flex: 1 0 10%;
}

.site-search,
.site-info p:last-of-type {
  flex: 0 1 auto;
}

.main-navigation,
.site-info p:first-of-type {
  flex: 1 1 auto;
}

/* CSS Grid
============================================================= */

.home main > article > .entry-header h1,
.home main > article > .entry-header .entry-sub-title,
.home main > article > .entry-header .h-intro-txt {
  -ms-grid-column-span: 3;
  -ms-grid-column: 2;
  grid-column: 2 / span 3;
  text-align: left;
}

main > article > .entry-header .content-block {
  -ms-grid-column-span: 3;
  -ms-grid-column: 5;
  grid-column: 5 / span 3;
  grid-row: 1 / span 2;
}

/*--------------------------------------------------------------
# Content
--------------------------------------------------------------*/

main > header,
main .page-header,
main > article > .entry-header,
.entry-content > .wall-to-wall:not(:last-child),
.page-content {
  margin-bottom: 4rem;
}

/* Pages
============================================================= */

/* Home */

.badges img.wp-image-61 {
  margin-top: 1.2rem;
}

.home .site-main > article.has-post-thumbnail > .entry-header img {
  min-height: 700px;
}

main > article > .entry-header .content-block {
  width: 80%;
}

.home .entry-header .content-block p.arrow-link {
  font-size: 1.2rem;
}

/* Funeral Directors Page */

.page-id-45 .section-showroom {
  padding-bottom: 16rem;
}

.page-id-45 .cta-showroom {
  margin-top: -20rem;
}

/* Search */

.search .flex article {
  flex: 0 1 30%;
  margin: 1.5%;
  margin-bottom: 1.5%;
  margin-bottom: 3rem;
  padding-bottom: 1rem;
  border-bottom: 1px solid var(--neutral-300);
}

/* Footer
============================================================= */

.site-footer {
  margin-top: 4rem;
}

.footer-widget-order-column.columns-3 > .footer-widget-col-1 {
  flex: 1 0 45%;
}

.footer-widget-order-column.columns-3 > .footer-widget-col-2,
.footer-widget-order-column.columns-3 > .footer-widget-col-3 {
  flex: 1 0 20%;
}

/*--------------------------------------------------------------
# Media Queries
--------------------------------------------------------------*/

@media screen and (min-width: 960px) {

  .team-grid .wp-block-group__inner-container {
    display: flex;
    flex-flow: row wrap;
  }

  .team-grid .wp-block-group__inner-container > h2,
  .team-grid .wp-block-group__inner-container > p,
  .team-grid .wp-block-group__inner-container > hr {
    flex: 1 1 100%;
  }

  .team-grid .wp-block-columns {
    flex: 0 1 calc(50% - 2rem);
    margin: 1rem;
  }

  .team-grid .wp-block-columns .wp-block-column:first-of-type {
    flex: 0 1 200px;
  }

  .team-grid .wp-block-columns .wp-block-column:last-of-type {
    flex: 1;
  }
}
